<template>
    <div class="page">
        <LayoutTable :data="tableData" :config="tableConfig">
                    </LayoutTable>


        <drawer-show ref="drawerform" @ok="getData" />
    </div>
</template>

<script>
    /** 表单弹出框模式需引入 */
    import drawerShow from "./drawershow";
    import table from "@/assets/mixins/table";
    export default {
        name: "SkinList",
        components: {
            drawerShow
},
        mixins: [table],
        created() {
        },
        methods: {
            /** 重写新增方法 */
            toAdd(row) {
                this.$refs.drawerform.add(row);
            },
            /** 重写编辑方法 */
            toEdit(row) {
                this.$refs.drawerform.edit(row);
            },
            /** 重写查看方法 */
            toView(row) {
                this.$refs.drawerform.view(row);
            },
          handleSwitch(row) {
            console.log(row);
            this.loading = true;
            if (row.used == 1) {
              this.$post("/skin/used", {
                id: row.id,
                used: 0,
              })
                  .then((res) => {
                    if (res && res.code && res.code == 1) {
                      row.used = 0;
                    }
                    this.getData()
                  })
                  .catch((error) => {
                    this.$message.error(error.message);
                  });
            } else {
              this.$post("/skin/used", {
                id: row.id,
                used: 1,
              })
                  .then((res) => {
                    if (res && res.code && res.code == 1) {
                      row.used = 1;
                    }
                    this.getData()
                  })
                  .catch((error) => {
                    this.$message.error(error.message);
                  });
            }
          },

        },
        data() {
            return {
                config: {
                    search: [
                    ],
                    columns: [
                        {type: "index",label: "序号",width: 50},

                        {label: "产品名称", prop: "productName"},

                      {label: "皮肤名称", prop: "name"},

                        {label: "分辨率 ", prop: "imageResolution",formatter:this.formatter},


                      {label: "预览图片", prop: "previewImagePath",formatter: (row) => {
                          return row.previewImagePath != "" ? (
                              <el-image
                                  style="width: 70px; height: 70px"
                                  src={row.previewImagePath}
                                  preview-src-list={[row.previewImagePath]}
                              ></el-image>
                          ) : (
                              "--"
                          );
                        },},
                      {
                        label: "皮肤选择",
                        align: "center",
                        prop: "used",
                        formatter: (row) => {
                          return (
                              <el-switch
                                  value={row.used + ""}
                                  active-color="#13ce66"
                                  inactive-color="#ff4949"
                                  active-value="1"
                                  inactive-value="0"
                                  onChange={() => {
                                    this.handleSwitch(row);
                                  }}
                              ></el-switch>
                          );
                        },
                      }
                    /*    {
                            label: "操作",
                            width: 240,
                            formatter: row => {
                                return (
                                    <table-buttons noAdd row={row} onEdit={this.toEdit} onView={this.toView} onDel={this.toDel} />
                            );
                            }
                        }*/
                    ]
                }
            };
        }
    };
</script>
